View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17046Bug reportsErgonomypublic2021-07-14 18:32
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status resolvedResolutionfixed 
Product Version4.4.1 
Summary17046: When copy question : can not update text (and help⁾
DescriptionWhen copy question : can not update text
Steps To ReproduceCopy questoion
Additional InformationSee difference with 3.X

Genral options update work too (for example : update question type, mandatory set etc …)

Question text and help are really needed
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.4.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database & DB-Versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-02-02 14:48

developer  

3X-base.png (46,899 bytes)   
3X-base.png (46,899 bytes)   
3X-generalOptions.png (53,104 bytes)   
3X-generalOptions.png (53,104 bytes)   
4441.png (46,180 bytes)   
4441.png (46,180 bytes)   
cdorin

cdorin

2021-02-02 17:02

manager   ~61857

This is something we agreed on since few users are anyway editing the text throughout the copy process. Perhaps a better way would be to remove the textfield altogether
DenisChenu

DenisChenu

2021-02-02 17:21

developer   ~61866

Last edited: 2021-02-09 13:20

**Who agree ?**
**When ?**

I use this a lot ! Taking really more time if not allowed to edit text …
Mazi

Mazi

2021-02-08 16:43

partner   ~62017

Last edited: 2021-02-09 13:20

@cdorin, I am not sure whom you are talking to in such cases. Fact is, that we are also using this a lot and during our trainings we point out that the text can directly be adjusted.

That is the default work-flow e.g. for rating questions: Copy a default questions, replace the text and maybe edit subquestions later on.
But being able to directly edit the text is essential!
cdorin

cdorin

2021-02-08 18:04

manager   ~62038

Last edited: 2021-02-09 13:20

View 2 revisions

While this can be reverted, wouldn't be better to clean the copy view and make sure that once the copy is performed, you land directly in the question editor from where you change the question text?

Seeing HTML Editor in copy view and then landing again in an HTML Editor from editor mode looks strange to me (though I don't contest the utility for the more advanced users).

LE: we had issues implementing the HTML Editor on this page in the past - from here the decision to remove it (at least temporarily)
Mazi

Mazi

2021-02-08 18:36

partner   ~62040

Last edited: 2021-02-09 13:20

RE " wouldn't be better to clean the copy view and make sure that once the copy is performed, you land directly in the question editor "
-> No, this adjustment would mean an additional step and save operation and lead to a worse UI and less straightforward survey design process.
DenisChenu

DenisChenu

2021-02-08 20:48

developer   ~62050

Last edited: 2021-02-09 13:20

> -> No, this adjustment would mean an additional step

+1

 -> save operation and lead to a worse UI and less straightforward survey design process.

+1

:)
gabrieljenik

gabrieljenik

2021-06-15 23:14

manager   ~64922

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1923

Reviewed Copy Question screen as to match new layout.
Code reorganziation on the question editor as to support editing and also copying screens
gabrieljenik

gabrieljenik

2021-07-14 18:32

manager   ~65443

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32302

Related Changesets

LimeSurvey: master c13c05fe

2021-07-14 18:16:48

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17046: When copying question cannot update text and help (#1923) Affected Issues
17046
mod - application/controllers/QuestionAdministrationController.php Diff File
add - application/datavalueobjects/CopyQuestionTextValues.php Diff File
mod - application/datavalueobjects/CopyQuestionValues.php Diff File
mod - application/extensions/TopbarWidget/views/includes/copyQuestionTopbarRight_view.php Diff File
mod - application/models/services/CopyQuestion.php Diff File
mod - application/views/questionAdministration/_copyQuestionTabsLanguages.php Diff File
mod - application/views/questionAdministration/copyQuestionForm.php Diff File
mod - application/views/questionAdministration/create.php Diff File
mod - application/views/questionAdministration/questionCode.php Diff File
mod - assets/scripts/admin/questionEditor.js Diff File

Issue History

Date Modified Username Field Change
2021-02-02 14:48 DenisChenu New Issue
2021-02-02 14:48 DenisChenu File Added: 3X-base.png
2021-02-02 14:48 DenisChenu File Added: 3X-generalOptions.png
2021-02-02 14:48 DenisChenu File Added: 4441.png
2021-02-02 17:02 cdorin Note Added: 61857
2021-02-02 17:02 cdorin Status new => feedback
2021-02-02 17:21 DenisChenu Note Added: 61866
2021-02-02 17:21 DenisChenu Status feedback => new
2021-02-08 16:43 Mazi Note Added: 62017
2021-02-08 18:04 cdorin Note Added: 62038
2021-02-08 18:05 cdorin Note Edited: 62038 View Revisions
2021-02-08 18:36 Mazi Note Added: 62040
2021-02-08 20:48 DenisChenu Note Added: 62050
2021-02-09 13:20 cdorin Priority none => low
2021-02-09 13:20 cdorin Status new => confirmed
2021-04-01 10:37 JHoeck Assigned To => JHoeck
2021-04-01 10:37 JHoeck Status confirmed => assigned
2021-06-14 17:02 ollehar Assigned To JHoeck => gabrieljenik
2021-06-14 17:02 ollehar Priority low => normal
2021-06-15 23:14 gabrieljenik Note Added: 64922
2021-06-15 23:15 gabrieljenik Status assigned => testing
2021-07-14 18:17 c_schmitz Status testing => resolved
2021-07-14 18:17 c_schmitz Resolution open => fixed
2021-07-14 18:32 gabrieljenik Changeset attached => LimeSurvey master c13c05fe
2021-07-14 18:32 gabrieljenik Note Added: 65443